#!/bin/sh
#
# $Copyright: Copyright (c) 2013 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $RCSfile: addXIVMirrorType.sh,v $ $Revision: 1.1.2.3 $
#

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi
${VCSHOME}/bin/hatype -add XIVMirror
${VCSHOME}/bin/hatype -modify XIVMirror SupportedActions PreSwitch ReportRPOData StartWriter GetCurrentRPO StartRPOComputation StopRPOComputation
${VCSHOME}/bin/hatype -modify XIVMirror ArgList XCliPath UserLocal PasswordLocal UserRemote PasswordRemote LocalXIVIPs RemoteXIVIPs LocalVolNames AutoTakeover SplitTakeover IsConsistencyGroup GroupName ComputeDRSLA
${VCSHOME}/bin/hatype -modify XIVMirror OpenTimeout 180
${VCSHOME}/bin/hatype -modify XIVMirror RestartLimit 1
${VCSHOME}/bin/haattr -add XIVMirror XCliPath -string
${VCSHOME}/bin/haattr -add XIVMirror UserLocal -string
${VCSHOME}/bin/haattr -add XIVMirror PasswordLocal -string
${VCSHOME}/bin/haattr -add XIVMirror UserRemote -string
${VCSHOME}/bin/haattr -add XIVMirror PasswordRemote -string
${VCSHOME}/bin/haattr -add XIVMirror LocalXIVIPs -string -vector
${VCSHOME}/bin/haattr -add XIVMirror RemoteXIVIPs -string -vector
${VCSHOME}/bin/haattr -add XIVMirror LocalVolNames -string -vector
${VCSHOME}/bin/haattr -add XIVMirror AutoTakeover -integer 1
${VCSHOME}/bin/haattr -add XIVMirror SplitTakeover -integer 0
${VCSHOME}/bin/haattr -add XIVMirror IsConsistencyGroup -integer 1
${VCSHOME}/bin/haattr -add XIVMirror GroupName -string
${VCSHOME}/bin/haattr -add XIVMirror ComputeDRSLA -integer 0
${VCSHOME}/bin/haattr -add -temp XIVMirror Tagging -boolean
${VCSHOME}/bin/haattr -add -temp XIVMirror VCSResLock -string
${VCSHOME}/bin/haattr -add -static XIVMirror RegList -keylist
${VCSHOME}/bin/hatype -modify XIVMirror RegList ComputeDRSLA


if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

